Skip to main content
`Ctrl`+`K`

# MatHIPSPARSEFormatOperation

indicates the operation of `MATAIJHIPSPARSE` (GPU) matrices whose operation should use a particular storage format.

## Synopsis

    typedef enum {
      MAT_HIPSPARSE_MULT_DIAG,
      MAT_HIPSPARSE_MULT_OFFDIAG,
      MAT_HIPSPARSE_MULT,
      MAT_HIPSPARSE_ALL
    } MatHIPSPARSEFormatOperation;

## Values

- `MAT_HIPSPARSE_MULT_DIAG` - sets the storage format for the diagonal matrix in the parallel `MatMult()`

- `MAT_HIPSPARSE_MULT_OFFDIAG` - sets the storage format for the off-diagonal matrix in the parallel `MatMult()`

- `MAT_HIPSPARSE_MULT` - sets the storage format for the entire matrix in the serial (single GPU) `MatMult()`

- `MAT_HIPSPARSE_ALL` - sets the storage format for all HIPSPARSE (GPU) matrices

## See Also

Matrices, `MatHIPSPARSESetFormat()`, `MatHIPSPARSEStorageFormat`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages